### Method

# AppStream Component add_keyword

#### Declaration [src]

    void
    as_component_add_keyword (
      AsComponent* cpt,
      const gchar* keyword,
      const gchar* locale
    )

#### Description [src]

Add a new keyword to the keywords list for the given locale. This function does not check for duplicate keywords.

#### Parameters

`keyword`

  Type: `const gchar*`

  The new keyword to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`locale`

  Type: `const gchar*`

  BCP47 locale of the values, or `NULL` to use current locale.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.